#!/bin/sh
# bjorb startup script
#
# Copyright(c) 1998 Hitachi Microsoftware Systems, Inc.

GREP=/usr/bin/grep
KILL=/bin/kill
PS=/bin/ps
PSOPT="-e"
SED=/usr/bin/sed

PROG=bjorb
PREFIX=/usr/local/
TARGET=${PREFIX}/sbin/$PROG

[ ! -d /usr/bin ] && exit       # /usr not mounted

if [ `uname` = "FreeBSD" ]; then
  PS=/bin/ps
  PSOPT="-ax -o pid -o ucomm"
  KILL=/bin/kill
else
  PS=/usr/bin/ps
  PSOPT="-e"
  KILL=/usr/bin/kill
fi

[ ! -x $GREP ] && GREP=`which grep`
[ ! -x $KILL ] && KILL=`which kill`
[ ! -x $PS   ] && PS=`which ps`
[ ! -x $SED  ] && SED=`which sed`

killproc() {            # kill the named process(es)
  pid=`$PS $PSOPT | $GREP $PROG | $SED -e 's/^  *//' -e 's/ .*//'`
  [ "$pid" != "" ] && $KILL $pid
}

# Start/stop processes required for samba server

do_start()
{
  if [ -x $TARGET ]; then
    if [ -f ${PREFIX}/etc/bjorb.conf ]; then
      echo " bjorb"
      $TARGET -D
    else
      echo bjorb: edit ${PREFIX}/etc/bjorb.conf to enable service.
    fi
  else
    echo not found $TARGET
  fi
}

case "$1" in

'')
   do_start
   ;;
'start')
   do_start
   ;;
'stop')
   killproc
   ;;
*)
   echo "Usage: bjorb.sh { start | stop }"
   ;;
esac

